View Issue Details

IDProjectCategoryView StatusLast Update
0000001SymmetricDSNew Featurepublic2014-02-04 15:38
ReporterAssigned Tochenson 
Prioritylow 
Status resolvedResolutionfixed 
Product Version1.5.1 
Target VersionFixed in Version 
Summary0000001: Synchronization of sequences
DescriptionDatabases like Oracle and PostgreSQL maintain separate objects in the database called sequences to generate the next primary key value on a table. When SymmetricDS loads data into a table, it populates the primary key with values beyond the next value of the sequence. SymmetricDS should synchronize sequences at the end of a batch.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master b7f5d655

2007-11-02 08:20:03

chenson

Details Diff
1.0.0
0000001
mod - symmetric/src/site/apt/news.apt Diff File

SymmetricDS: master 932176a7

2007-12-18 22:05:50

chenson

Details Diff
1.2.0-pre
0000001
mod - symmetric/pom.xml Diff File

SymmetricDS: master 40ad5065

2008-05-14 17:27:12

chenson

Details Diff
Fixed 1.4.0 bug. Last ack's ok status in a batch had a line feed and was getting recorded as an error. Also fixed a log message and the injection of some missing services (keith's stuff)
0000001, 0000004
mod - symmetric/src/main/java/org/jumpmind/symmetric/service/impl/BootstrapService.java Diff File
mod - symmetric/src/main/java/org/jumpmind/symmetric/service/impl/PullService.java Diff File
mod - symmetric/src/main/java/org/jumpmind/symmetric/transport/AbstractTransportManager.java Diff File
mod - symmetric/src/main/resources/symmetric-web.xml Diff File

SymmetricDS: master 693edc29

2012-04-26 14:55:51

chenson

Details Diff
1.5 compile compatible
0000001
add - symmetric/symmetric-db/src/main/java/org/jumpmind/db/model/ColumnTypes.java Diff File
mod - symmetric/symmetric-db/src/main/java/org/jumpmind/db/model/TypeMap.java Diff File
mod - symmetric/symmetric-db/src/main/java/org/jumpmind/db/platform/AbstractDatabasePlatform.java Diff File

SymmetricDS: master 5cf17583

2012-04-26 16:44:41

chenson

Details Diff
1.5 compile compatible
0000001
mod - symmetric/symmetric-io/src/test/java/org/jumpmind/symmetric/io/data/writer/DatabaseWriterTest.java Diff File

SymmetricDS: master 9fe5b2f7

2012-04-26 16:47:33

chenson

Details Diff
1.5 compile compatible
0000001
mod - symmetric/symmetric-core/src/main/java/org/jumpmind/symmetric/db/AbstractTriggerTemplate.java Diff File

Issue History

Date Modified Username Field Change
2014-02-02 20:50 Changeset attached => SymmetricDS trunk r951
2014-02-02 20:50 admin Resolution open => fixed
2014-02-04 10:03 elong Priority high => low
2014-02-04 10:03 elong Severity minor => feature
2014-02-04 15:38 admin Resolution fixed => open
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 9fe5b2f7
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 5cf17583
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 693edc29
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 40ad5065
2015-07-30 21:50 chenson Changeset attached => SymmetricDS master 932176a7
2015-07-30 21:50 chenson Changeset attached => SymmetricDS master b7f5d655
2015-07-30 21:50 chenson Assigned To => chenson
2015-07-30 21:50 chenson Status new => resolved
2015-07-30 21:50 chenson Resolution open => fixed